Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions | List of all members
Ipopt::RestoRestorationPhase Class Reference

Recursive Restoration Phase for the.MinC_1NrmRestorationPhase. More...

`#include <IpRestoRestoPhase.hpp>`

Inheritance diagram for Ipopt::RestoRestorationPhase:
[legend]

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Overloaded from AlgorithmStrategy case class. More...
Constructors/Destructors
| RestoRestorationPhase ()
| Default Constructor. More...
virtual | ~RestoRestorationPhase ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::RestorationPhase
| RestorationPhase ()
| Default Constructor. More...
virtual | ~RestorationPhase ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Protected Member Functions
virtual bool | PerformRestoration ()
| Overloaded method from RestorationPhase. More...
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| RestoRestorationPhase (const RestoRestorationPhase &)
| Copy Constructor. More...
void | operator= (const RestoRestorationPhase &)
| Overloaded Equals Operator. More...
Auxilliary methods
void | solve_quadratic (const Vector &a, const Vector &b, Vector &v)
    Method for solving the quadratic vector equation v^2 + 2a*v -
b = 0 More...

## Detailed Description

Recursive Restoration Phase for the.MinC_1NrmRestorationPhase.

This procedure chooses the n and p variables in the MinC_1NrmRestorationPhase problem formulation by treating the problem as separable (assuming that the x and s variables are fixed).

Definition at line 25 of file IpRestoRestoPhase.hpp.

## Constructor & Destructor Documentation

Ipopt::RestoRestorationPhase::RestoRestorationPhase | ( |  | ) |

Default Constructor.

virtual Ipopt::RestoRestorationPhase::~RestoRestorationPhase | ( |  | ) |
| virtual

Default destructor.

Ipopt::RestoRestorationPhase::RestoRestorationPhase | ( | const RestoRestorationPhase & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::RestoRestorationPhase::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

Overloaded from AlgorithmStrategy case class.

Implements Ipopt::RestorationPhase.

virtual bool Ipopt::RestoRestorationPhase::PerformRestoration | ( |  | ) |
| protected virtual

Overloaded method from RestorationPhase.

Implements Ipopt::RestorationPhase.

void Ipopt::RestoRestorationPhase::operator= | ( | const RestoRestorationPhase & |  | ) |
| private

Overloaded Equals Operator.

void Ipopt::RestoRestorationPhase::solve_quadratic | ( | const Vector & | a,
|  | const Vector & | b,
|  | Vector & | v
| ) |  |
| private

    Method for solving the quadratic vector equation v^2 + 2a*v -

b = 0

The documentation for this class was generated from the following file:

- src/Algorithm/IpRestoRestoPhase.hpp